<bugID>1090247<Summary>Expose ADB Helper logs after connection error</Summary><Description>Right now when you try to connect a physical device to WebIDE you only have one way to diagnose if it worked: it either works or it doesn't, but if it doesn't you're left on the dark as to why it didn't work.

It would be amazing to show a list of the things ADB helper is trying to do to connect, and what happened, so we can diagnose what the h... is going on. Specially with weird computers and configurations!</Description></bugID>